Bug 809432 - Missing localization of some keys
Missing localization of some keys
Status: MODIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.0.0
i686 Linux
unspecified Severity low
: ER03
: 6.3.0
Assigned To: Default User
6_3 Triage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 07:20 EDT by Miroslav Cupák
Modified: 2015-08-31 23:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
locales in xml format (5.72 KB, text/plain)
2012-06-26 13:50 EDT, Viliam Rockai
no flags Details
missing translated elements in non-english files (52.98 KB, text/plain)
2012-06-26 13:50 EDT, Viliam Rockai
no flags Details
script for finding missing locale lines (930 bytes, application/zip)
2012-06-26 13:51 EDT, Viliam Rockai
no flags Details

  None (edit)
Description Miroslav Cupák 2012-04-03 07:20:16 EDT
Description of problem:
Certain (mostly new) items in EPP are not localized properly and only shown in English even if you switch the portal to a different language. I verified that with Czech, but I assume some items are missing in other languages as well as new features were added.


Additional info:
List of items with missing translation (Czech):
- whole Site Export/Import gadget
- whole Services Management gadget
- "Site", "Group", "Dashboard" items in the main portal menu
- "Label", "Description", "Skin", "Show info bar by default" in the portal configuration dialog
- "Extended label mode" in the node configuration dialog
- "Page Selector", "Page Id", "Title", "Create page", "Search and select page" in the page selection part of the node configuration dialog
- "Title", "Site name", "Type" in the Page Management portlet
- "Categories" in the "Portlet" section of Application Registry portlet
- "Subscribe", "Reset" buttons in the Register Portlet
- certain error messages - e.g. "The field "Uživatelské jméno" must end with a character or digit instead of "č". Only alpha lower, digit, dot and underscore lowercase characters are allowed for the field "Uživatelské jméno"." when attempting to create a user with invalid username
Comment 1 Miroslav Cupák 2012-04-03 07:20:50 EDT
List of items translated incorrectly (Czech):
- footer message should be "Copyright © 2010. Všechna práva vyhrazena, Red Hat, Inc"
- "uživatelské jméno" in "Group Management" section should be "Uživatelské jméno"
- "Toto uživatelské heslo je dostupné." should be "Toto uživatelské jméno je dostupné." (message confirming the availability of a user name in the Register Portlet)
Comment 2 Viliam Rockai 2012-06-26 13:38:24 EDT
i've made some scripts, to find out more about missing translations. first of all, the translation files are in two formats: xml and properties. i believe this should be unified (to properties files). I'm attaching the list of .xml translation files, which were found with:

$find jboss-epp-5.2/jboss-as/server/default/deploy -wholename '*classes/locale*.xml'

for finding the inconsistencies (missing lines compared to default translation) i've written a combination of bash/python script. I'm attaching it as a zip. It just takes single parameter - the path to directory where to perform search. it seeks for the property files in '*classes/locale*' directories, which don't have '_xx' in their names. with this script i was able to find missing lines:

$./localecheck.sh ./jboss-epp-5.2/jboss-as/server/default/deploy

i'm attaching the result of script as well.

the last problem is, that some of the properties files have single key defined twice. i don't have list of such files.
Comment 3 Viliam Rockai 2012-06-26 13:50:09 EDT
Created attachment 594547 [details]
locales in xml format
Comment 4 Viliam Rockai 2012-06-26 13:50:38 EDT
Created attachment 594548 [details]
missing translated elements in non-english files
Comment 5 Viliam Rockai 2012-06-26 13:51:09 EDT
Created attachment 594549 [details]
script for finding missing locale lines
Comment 7 Boleslaw Dawidowicz 2014-06-03 03:36:40 EDT
As this is old would be good to verify this against ER03

Note You need to log in before you can comment on or make changes to this bug.